Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
sauce::internal::ApplyVoidFunction< Parameters, void(*)(A0, A1, A2, A3, A4)> Class Template Reference

## Public Types
typedef void(* | Signature) (A0, A1, A2, A3, A4)
typedef void(* | Function) (typename Parameters::template Parameter< A0, 0 >::Type, typename Parameters::template Parameter< A1, 1 >::Type, typename Parameters::template Parameter< A2, 2 >::Type, typename Parameters::template Parameter< A3, 3 >::Type, typename Parameters::template Parameter< A4, 4 >::Type)

## Public Member Functions
| ApplyVoidFunction (Function function)
template<typename Passed >
void | apply (Passed passed)

## Static Public Member Functions
static int | arity ()

The documentation for this class was generated from the following file:

- sauce/internal/apply_variadic.h